Bug 503118 - kvm doesn't run with older libgcrypt, but doesn't have a RPM dependency for it
kvm doesn't run with older libgcrypt, but doesn't have a RPM dependency for it
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Eduardo Habkost
Lawrence Lim
:
Depends On:
Blocks: 5.4/TechnicalNotes Rhel5KvmTier2
  Show dependency treegraph
 
Reported: 2009-05-28 19:44 EDT by Eduardo Habkost
Modified: 2014-03-25 20:57 EDT (History)
6 users (show)

See Also:
Fixed In Version: kvm-83-205.el5
Doc Type: Bug Fix
Doc Text:
the kvm package has incorrect dependencies related to the libgcrypt package. Consequently, if the libgcrypt package installed on a system is earlier than version 1.4.4, the qemu-kvm process may refuse to start, returning a "libgcrypt initialization error" message. To work around this issue, update libgcrypt to the version provided by Red Hat Enterprise Linux 5.4.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 18:11:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eduardo Habkost 2009-05-28 19:44:11 EDT
Description of problem:

When running qemu-kvm, I get:
20090528-185034 Win2008.64.install: DEBUG: track_process: (qemu) libgcrypt initialization error


Version-Release number of selected component (if applicable):
kvm-83-44.el5
libgcrypt-1.2.4-1.el5



How reproducible:
Always

Steps to Reproduce:
1. Install kvm-83-44.el5 on RHEL-5.3, but keep RHEL-5.3 libgcrypt package installed (libgcrypt-1.2.4-1.el5)
2. Run qemu-kvm
  
Actual results:
libgcrypt initialization error

Expected results:
Either kvm RPM should have a RPM dependency for a newer libgcrypt package (if a newer library is really necessary), or the libgcrypt initialization code on kvm should be changed to work with an older libgcrypt package.
Comment 1 Eduardo Habkost 2009-06-04 17:01:46 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
If the kvm package is installed but libgcrypt version is earlier than 1.4.4, the qemu-kvm process may refuse to start, with a "libgcrypt initialization error" message.
Comment 3 Ryan Lerch 2009-08-18 00:19:11 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-If the kvm package is installed but libgcrypt version is earlier than 1.4.4, the qemu-kvm process may refuse to start, with a "libgcrypt initialization error" message.+the kvm package has incorrect dependencies related to the libgcrypt package. Consequently, if the libgcrypt package installed on a system is earlier than version 1.4.4, the qemu-kvm process may refuse to start, returning a "libgcrypt initialization error" message. To work around this issue, update libgcrypt to the version provided by Red Hat Enterprise Linux 5.4.
Comment 10 Chao Yang 2010-11-03 02:22:24 EDT
verified with kvm-83-207.el5
Comment 11 Chao Yang 2010-11-17 01:19:34 EST
Verified this issue on kvm-83-207.el5 according to Technical Notes provides way.

1. confirm libgcrypt > 1.4.4XX

#rpm -qa|grep libgcrypt
libgcrypt-1.4.4-5.el5
libgcrypt-devel-1.4.4-5.el5
libgcrypt-1.4.4-5.el5

2. install kvm and load modules

#rpm -qa|grep kvm
etherboot-zroms-kvm-5.4.4-13.el5
kvm-83-207.el5
kmod-kvm-83-204.el5
kvm-qemu-img-83-207.el5
etherboot-roms-kvm-5.4.4-13.el5
kvm-debuginfo-83-204.el5

#lsmod |grep kvm
kvm_intel              85128  0 
kvm                   224800  2 ksm,kvm_intel


3. run kvm
#/usr/libexec/qemu-kvm -no-hpet -rtc-td-hack -usbdevice tablet -startdate now -name RHEL-Server-3.9 -smp 4 -m 4G -boot c -net nic,vlan=1,macaddr=a9:22:45:91:7f:11,model=virtio -net tap,vlan=1,script=/etc/qemu-ifup -drive file=/root/chayang/r3u9-hugmem.raw,media=disk,if=ide,cache=none,format=raw,werror=stop -vnc :18 -cpu qemu64 -M rhel5.6.0 -notify all -balloon virtio -monitor stdio

after step3,didn't find any error messages.
Comment 14 errata-xmlrpc 2011-01-13 18:11:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0028.html

Note You need to log in before you can comment on or make changes to this bug.